Name: H5Pget_alignment
Signature:
  herr_t `H5Pget_alignment`(hid_t `plist`, hsize_t `*threshold`, hsize_t `*alignment` )
Purpose:
  Retrieves the current settings for alignment properties from a file access property list.
Description:
  `H5Pget_alignment` retrieves the current settings for alignment properties from a file access property list. The `threshold` and/or `alignment` pointers may be null pointers (NULL).
Parameters:

hid_t `plist` | IN: Identifier of a file access property list.
hsize_t `*threshold` | OUT: Pointer to location of return threshold value.
hsize_t `*alignment` | OUT: Pointer to location of return alignment value.

Returns:
  Returns a non-negative value if successful; otherwise returns a negative value.
Fortran90 Interface: h5pget_alignment_f

      SUBROUTINE h5pget_alignment_f(prp_id, threshold,  alignment, hdferr)
        IMPLICIT NONE
        INTEGER(HID_T), INTENT(IN) :: prp_id        ! Property list identifier
        INTEGER(HSIZE_T), INTENT(OUT) :: threshold  ! Threshold value
        INTEGER(HSIZE_T), INTENT(OUT) :: alignment  ! Alignment value
        INTEGER, INTENT(OUT) :: hdferr              ! Error code
                                                    ! 0 on success and -1 on failure
      END SUBROUTINE h5pget_alignment_f